import { request } from '../config'

export function listAd(params: any) {
    return request({
        url: '/ad/list',
        method: 'get',
        params
    })
}

export function createAd(data: any) {
    return request({
        url: '/ad/create',
        method: 'post',
        data
    })
}

export function readAd(data: any) {
    return request({
        url: '/ad/read',
        method: 'get',
        data
    })
}

export function updateAd(data: any) {
    return request({
        url: '/ad/update',
        method: 'post',
        data
    })
}

export function deleteAd(data: any) {
    return request({
        url: '/ad/delete',
        method: 'post',
        data
    })
}
